/**
 * Svelte action to add validation rules to the form field.
 * @module components/use-validate
 */
import type { ActionReturnType, RuleDefinition } from "../data/common";
/** Adds validation rule to the field.
 * For Dropdown, use id of the select or the inner input.
 * For Calendar, use id of the innermost input.
 */
export declare function validate(node: Element, rules: RuleDefinition): ActionReturnType;
